PHP Manual
Prev |  | Next

# PDO->commit()

(no version information, might be only in CVS)

PDO->commit() -- Commits a transaction

## Description

class PDO {
bool commit ( void )
}

Commits a transaction, returning the database connection to autocommit mode until the next call to PDO->beginTransaction() starts a new transaction.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Commit a transaction

`<?php /* Begin a transaction, turning off autocommit */ $dbh->beginTransaction(); /* Change the database schema */ $sth = $dbh->exec("DROP TABLE fruit"); /* Commit the changes */ $dbh->commit(); /* Database connection is now back in autocommit mode */ ?>`

## See Also

PDO->beginTransaction()
PDO->rollBack()

Prev | Home | Next
PDO->beginTransaction() | Up | PDO->__construct()